Skip to content

Check coupon code validity

GET
/cms/customer/coupon/check_code
object
code
string

Check result

object
coupon_id
integer
coupon
Coupon

API representation of a coupon

object
id

Coupon ID

code

Coupon code

string
value

Value

type

Type

string
Allowed values: percent flat
expiry

Expiry date

string format: date-time
expired

Whether the coupon has expired

boolean
stock

Stock remaining

integer
used

Whether the coupon has been used

integer
usedOn

Date the coupon was used

string format: date-time
restricted

Whether the coupon is restricted to visitors without an active subscription

integer
campaign

Campaign

string
nullable
userId

User ID this coupon is restricted to

nullable
clientId

Client ID this coupon is restricted to

nullable
status

Status

string
product_item
One of:
Pricing Tier

API representation of an ecommerce pricing tier (product item)

object
id

Item ID

description

Description

string
productId

Product ID

product

Product name

string
price

Price

currency

Currency

string
available

Available

item_order

Item order

shippable

Shippable

weight

Weight

installments

Installments

oncePerUser

Once per user

isUpgrade

Is upgrade

upgradeType

Upgrade type

string
upgradeFrom

Upgrade from

string
upgradeExcludeItems

Upgrade exclude items

string
upgradePriceWeb

Upgrade price web

upgradePriceMobile

Upgrade price mobile

settings

Settings

object
hasImage

Has image

additional_label_1

Additional label 1

string
additional_label_2

Additional label 2

string
additional_label_3

Additional label 3

string
diameter

Diameter

length

Length

depth

Depth

width

Width

recurrent

Recurrent

recurrentPrice

Recurrent price

recurrentStart

Recurrent start

string
recurrentSchedule

Recurrent schedule

string
sku

SKU

string
prices

Prices

object
stock_enabled

Stock enabled

stock_available

Stock available

packageQuantity

Package quantity

relatedItems

Related items

Array<object>
object
images

Images

Array<string>
files

Files

Array<string>
product_details

Product details. Deprecated to avoid circular references. Use productId instead.

object
translations

Translations

Example
{
"en": {
"name": "Name",
"subtitle": "Subtitle"
},
"fr": {
"name": "Nom",
"subtitle": "Sous-titre"
}
}
actionData

Action data to be executed when a pricing tier is bought

Array<object>
object
function
string
Example
registerSubscription
param
string
Example
365
group
string
Example
subscription
Example
[
{
"function": "registerSubscription",
"param": "365",
"group": "subscription"
}
]
actionDataRenew

Action data to be executed when a pricing tier is bought as a renewal

Array<object>
object
function
string
Example
registerSubscription
param
string
Example
365
group
string
Example
subscription
Example
[
{
"function": "registerSubscription",
"param": "365",
"group": "subscription"
}
]

Invalid code